---
inputType: CA10__CaAwsInstance__c
testData:
  - file: test-data.json
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
            right:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
            right:
              COLLECTION:
                items:
                  - c
                  - a
                  - b
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
            right:
              COLLECTION:
                items:
                  - a
                  - a
                  - b
                  - b
                  - c
                  - c
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
            right:
              COLLECTION:
                items:
                  - "a "
                  - " b "
                  - " c"
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items:
                  - a
                  - b
                  - c
            right:
              COLLECTION:
                items:
                  - A
                  - B
                  - C
  - status: COMPLIANT
    currentStateMessage: Test-6
    check:
      UNIT_TEST:
        id: Test-6
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items: []
            right:
              COLLECTION:
                items: []
  - status: COMPLIANT
    currentStateMessage: Test-7
    check:
      UNIT_TEST:
        id: Test-7
        arg:
          IS_EQUAL:
            left:
              UNIT_TEST_NULL:
                returnType: COLLECTION
            right:
              UNIT_TEST_NULL:
                returnType: COLLECTION
  - status: COMPLIANT
    currentStateMessage: Test-8
    check:
      UNIT_TEST:
        id: Test-8
        arg:
          IS_EQUAL:
            left:
              COLLECTION:
                items: []
            right:
              UNIT_TEST_NULL:
                returnType: COLLECTION
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required